IETF Plenary List Management Procedures
Eliot Lear
Cisco Systems
Richtistrasse 7
Wallisellen
CH-8304
Switzerland
+41 44 878 9200
lear@lear.ch
Robert Wilton
Cisco Systems
rwilton@cisco.com
Bron Gondwana
Fastmail Pty Ltd
Level 2, 114 William Street
3000
Australia
+61 457 416 436
brong@fastmailteam.com
John Levine
Standcore LLC
+1 607 330 5711
standards@standcore.com
19 June 2024
Internet-Draft
This memo provides a procedure and authority to address inappropriate behavior on IETF plenary lists. It obsoletes RFC 3683 and updates RFC 9245.
Introduction
The charter for the IETF discussion list is layed out in [RFC9245]. Individuals are expected to behave at all times in a professional manner for the purposes of the organization, as specified in [RFC3935], and for the purposes of individual mailing lists.
Thankfully the need to take action against individuals is relatively rare. Experience has shown that when the existing procedure is invoked, the procedure itself causes as many problems as it solves, including:
- Community discussion drawing away from the fundamental mission of the organization;
- Humiliation the individual who has behaved inappropriately;
- The need for a committee draws scarce volunteer resources from other potentially more fruitful activities;
- Consumption of IESG resources.
Goals
For these reasons, a new approach that aligns with other professional bodies is specified. The goals of the approach address the problems above as follows:
- Minimize inappropriate behavior.
- Maximize appropriate participation in IETF activities.
- Minimize volunteer resources necessary to address inappropriate behavior.
- Allow for approaches that are tailored to each situation.
- Limit humiliation of those who have offended.
- Provide a right of appeal.
- Provide for transparency.
Summary of changes
The following changes are made to IETF policy:
- [RFC3686] and all processes therein are obsoleted by the new process that vests authority in the executive director.
- Only the moderation function in Section 3 of [RFC9245] is obsoleted.
- Additional authority is given to the executive director to address other IETF mailing lists in limited circumstances. Thus [RFC3934] is updated accordingly.
What is and is not acceptable behavior has not changed.
Why shift this function from the community to the executive director?
The previous policy required that a discussion take place within the community to ban an individual. Those discussions have proven to be long, meandering, emotional, and time consuming. The reason we have juries is so that the public needn't vote in a popularity contest about whether someone should be convicted.
The executive director is in a position to address complaints and observe bad behavior outside the melee of any particular technical discussion, because they carry no agenda other than the aims of the organization. In addition, as a managerial arm of the IETF, the executive director has the capability to manage what are sometimes difficult personal situations.
Finally, the executive director is in a position to engage and make decisions in an effective manner, without consuming inordinate amounts of community resources.
Mailing List Policy
Applicability
This policy applies to all IETF plenary lists mentioned in [RFC9245]. In addition, certain aspects of this policy may be applied across all IETF lists, as stated below.
What is appropriate or inappropriate behavior?
[RFC9245] describes both appropriate and inappropriate contributions to the IETF list, and lays out charters of other plenary lists. Any new plenary lists created shall contain a statement as to what the list is to be used for. Messages beyond that purpose are inappropriate, as are messages that violate our community standards as specified by [RFC7776], [RFC8716], and [BCP54].
Initiating Complaints
Complaints against individuals shall be transmitted to the executive director via a mailing list [TBD]. Complaints must not be sent to other IETF mailing lists. The executive director may also take action on their own initiative.
It is beyond the scope of ANY mailing list to discuss the behavior of an individual, except for the purposes of reviewing this policy, in which case a separate mailing list shall be designated by the IESG for that purpose.
Who is responsible for addressing inappropriate messages?
The executive director of the IETF shall be responsible for addressing inappropriate messages. The executive director may delegate this function. The moderation function described in Section 3 of [RFC9245] is discontinued.
The executive director may consult with members of the community, including but not limited to area directors, working group chairs, and IETF participants; in order to seek a good outcome.
What actions may be taken?
The executive director may take any action they deem appropriate in a given circumstance, including but not limited to no action, advising, warning, moderating, rate-limiting, suspending, or banning individuals. In performing this function, the executive director should apply all appropriate processes specified by the IETF in relevant BCPs in an even-handed way, using the least amount of intervention necessary to satisfy the goals in Section 1.
The executive director MAY, in consultations with the IESG, apply any action taken across all IETF mailing lists. However, posting rights limitations across all lists should be viewed as an absolute last resort.
Community Notice
When the executive director takes an action in accordance with this policy, they shall inform the IESG by email. In the case of bans or suspensions, this notification shall be noted and minuted in the next IESG meeting. In cases where an individual is banned or suspended from any working group list, notice shall be given to either the impacted working group or to IETF-Announce.
Appeals
Individuals may appeal the decisions taken by the executive director, as specified in Section 2.5. Appeals follow a fairly usual IETF appeals process and timeline, as follows. Any initial appeal should be made to the executive director, and if the appeallant is unhappy with the outcome of the appeal decision, they may escalate the complaint to the IESG, and finally the IAB, as described in [RFC2026]. Appeals must be made within one month of receiving initial notification of the moderation action, or subsequent appeal outcome. In taking any action, the executive director shall notify the offender of these rights.
Review
An individual who has been moderated, rate-limited, suspended, or banned from a list within the scope of this policy may apply to the executive director to restore normal posting rights after a period of twelve months, and every twelve months thereafter. At their sole discretion, the executive director may reinstate some or all posting priveleges to an individual. Such decisions are not subject to appeal.
Handling of Spam, Phishing, and other automated messages
The executive director may take any action they deem appropriate to limit spam, phishing, and other such automated attacks. They shall inform the IETF community of the mechanisms in place to the extent that sensible operational security permits.
Informational Collection and Reporting
The executive director shall collect and report aggregate statistics annually to the community about complaints received and their disposition.
LLC Considerations
The IETF requests that, if requested by the executive director, sufficient resources be allocated for this purpose.
Privacy Considerations
This policy attempts to limit exposure of the names of individuals accused of inappropriate behavior. However, the transparency needs of the organization demand that the community be informed of certain actions taken against individuals. This permits community oversight of the function without causing undue embarressment or humiliation.
Security Considerations
This memo creates no new technical mechanisms and therefore there are no security considerations.
IANA Considerations
[This section to be removed by RFC Editor.]
No registries are requested.
Acknowledgments
The authors would like to thank Marshall Rose for having first addressed this difficult subject in our series, as well as all those who have served as moderators and ombudspeople.

Normative References
[RFC9245]

IETF Discussion List Charter
L. Eggert
S. Harris
June 2022
BCP 45
RFC 9245
DOI 10.17487/RFC9245
[RFC3935]

A Mission Statement for the IETF
H. Alvestrand
October 2004
BCP 95
RFC 3935
DOI 10.17487/RFC3935
[RFC3686]

Using Advanced Encryption Standard (AES) Counter Mode With IPsec Encapsulating Security Payload (ESP)
R. Housley
January 2004
RFC 3686
DOI 10.17487/RFC3686
[RFC3934]

Updates to RFC 2418 Regarding the Management of IETF Mailing Lists
M. Wasserman
October 2004
BCP 25
RFC 3934
DOI 10.17487/RFC3934
[RFC7776]

IETF Anti-Harassment Procedures
P. Resnick
A. Farrel
March 2016
BCP 25
RFC 7776
DOI 10.17487/RFC7776
[RFC8716]

Update to the IETF Anti-Harassment Procedures for the Replacement of the IETF Administrative Oversight Committee (IAOC) with the IETF Administration LLC
P. Resnick
A. Farrel
February 2020
BCP 25
RFC 8716
DOI 10.17487/RFC8716
[RFC7154]

IETF Guidelines for Conduct
S. Moonesamy, Ed.
March 2014
BCP 54
RFC 7154
DOI 10.17487/RFC7154
[RFC2026]

The Internet Standards Process -- Revision 3
S. Bradner
October 1996
BCP 9
RFC 2026
DOI 10.17487/RFC2026
Changes from Earlier Versions
[[This section to be removed by RFC Editor]]